(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     23766,        629]*)
(*NotebookOutlinePosition[     24397,        651]*)
(*  CellTagsIndexPosition[     24353,        647]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(Install["\<pdf.exe\>"]\)], "Input"],

Cell[BoxData[
    \(LinkObject["./pdf.exe", 2, 2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[1, 0.5, 10. ]\)], "Input"],

Cell[BoxData[
    \(0.17385`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[f[1, x, 10. ], {x, 0.0001, 1}]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.0147941 1.02837 [
[.21429 .00229 -9 -9 ]
[.21429 .00229 9 0 ]
[.40476 .00229 -9 -9 ]
[.40476 .00229 9 0 ]
[.59524 .00229 -9 -9 ]
[.59524 .00229 9 0 ]
[.78571 .00229 -9 -9 ]
[.78571 .00229 9 0 ]
[.97619 .00229 -3 -9 ]
[.97619 .00229 3 0 ]
[.01131 .11763 -18 -4.5 ]
[.01131 .11763 0 4.5 ]
[.01131 .22047 -18 -4.5 ]
[.01131 .22047 0 4.5 ]
[.01131 .32331 -18 -4.5 ]
[.01131 .32331 0 4.5 ]
[.01131 .42614 -18 -4.5 ]
[.01131 .42614 0 4.5 ]
[.01131 .52898 -18 -4.5 ]
[.01131 .52898 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21429 .01479 m
.21429 .02104 L
s
[(0.2)] .21429 .00229 0 1 Mshowa
.40476 .01479 m
.40476 .02104 L
s
[(0.4)] .40476 .00229 0 1 Mshowa
.59524 .01479 m
.59524 .02104 L
s
[(0.6)] .59524 .00229 0 1 Mshowa
.78571 .01479 m
.78571 .02104 L
s
[(0.8)] .78571 .00229 0 1 Mshowa
.97619 .01479 m
.97619 .02104 L
s
[(1)] .97619 .00229 0 1 Mshowa
.125 Mabswid
.07143 .01479 m
.07143 .01854 L
s
.11905 .01479 m
.11905 .01854 L
s
.16667 .01479 m
.16667 .01854 L
s
.2619 .01479 m
.2619 .01854 L
s
.30952 .01479 m
.30952 .01854 L
s
.35714 .01479 m
.35714 .01854 L
s
.45238 .01479 m
.45238 .01854 L
s
.5 .01479 m
.5 .01854 L
s
.54762 .01479 m
.54762 .01854 L
s
.64286 .01479 m
.64286 .01854 L
s
.69048 .01479 m
.69048 .01854 L
s
.7381 .01479 m
.7381 .01854 L
s
.83333 .01479 m
.83333 .01854 L
s
.88095 .01479 m
.88095 .01854 L
s
.92857 .01479 m
.92857 .01854 L
s
.25 Mabswid
0 .01479 m
1 .01479 L
s
.02381 .11763 m
.03006 .11763 L
s
[(0.1)] .01131 .11763 1 0 Mshowa
.02381 .22047 m
.03006 .22047 L
s
[(0.2)] .01131 .22047 1 0 Mshowa
.02381 .32331 m
.03006 .32331 L
s
[(0.3)] .01131 .32331 1 0 Mshowa
.02381 .42614 m
.03006 .42614 L
s
[(0.4)] .01131 .42614 1 0 Mshowa
.02381 .52898 m
.03006 .52898 L
s
[(0.5)] .01131 .52898 1 0 Mshowa
.125 Mabswid
.02381 .03536 m
.02756 .03536 L
s
.02381 .05593 m
.02756 .05593 L
s
.02381 .0765 m
.02756 .0765 L
s
.02381 .09706 m
.02756 .09706 L
s
.02381 .1382 m
.02756 .1382 L
s
.02381 .15877 m
.02756 .15877 L
s
.02381 .17933 m
.02756 .17933 L
s
.02381 .1999 m
.02756 .1999 L
s
.02381 .24104 m
.02756 .24104 L
s
.02381 .2616 m
.02756 .2616 L
s
.02381 .28217 m
.02756 .28217 L
s
.02381 .30274 m
.02756 .30274 L
s
.02381 .34387 m
.02756 .34387 L
s
.02381 .36444 m
.02756 .36444 L
s
.02381 .38501 m
.02756 .38501 L
s
.02381 .40558 m
.02756 .40558 L
s
.02381 .44671 m
.02756 .44671 L
s
.02381 .46728 m
.02756 .46728 L
s
.02381 .48785 m
.02756 .48785 L
s
.02381 .50841 m
.02756 .50841 L
s
.02381 .54955 m
.02756 .54955 L
s
.02381 .57012 m
.02756 .57012 L
s
.02381 .59068 m
.02756 .59068 L
s
.02381 .61125 m
.02756 .61125 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.0239 .03782 m
.02508 .08909 L
.02615 .11396 L
.02855 .15409 L
.03288 .2065 L
.04271 .29111 L
.0529 .35607 L
.06254 .40533 L
.08274 .48326 L
.09414 .51616 L
.10467 .54043 L
.11369 .55771 L
.12339 .5724 L
.13404 .58511 L
.14401 .59353 L
.14925 .59684 L
.15412 .59935 L
.15946 .60141 L
.16244 .60223 L
.16376 .60251 L
.16515 .60276 L
.16638 .60293 L
.16773 .60307 L
.16897 .60317 L
.17011 .60325 L
.17081 .60328 L
.17147 .6033 L
.17271 .60332 L
.1734 .60332 L
.17404 .60331 L
.17474 .60329 L
.17549 .60326 L
.17664 .60319 L
.17788 .60308 L
.18012 .60281 L
.18279 .60236 L
.18523 .60182 L
.18997 .6004 L
.19504 .59844 L
.20416 .59392 L
.215 .58684 L
.22485 .57899 L
.26483 .53599 L
.30329 .48298 L
.34421 .42029 L
.38361 .35817 L
.42149 .30016 L
.46183 .24245 L
.50065 .1928 L
.54192 .14681 L
Mistroke
.58168 .11013 L
.61992 .08149 L
.66061 .05803 L
.69979 .04141 L
.72124 .03454 L
.74142 .02928 L
.75983 .02547 L
.78002 .02215 L
.8 .0196 L
.8109 .01857 L
.82107 .01779 L
.83155 .01714 L
.84146 .01664 L
.86003 .01591 L
.86971 .01559 L
.87997 .01527 L
.88466 .01513 L
.8896 .01501 L
.89416 .01492 L
.89841 .01486 L
.9029 .0148 L
.90547 .01478 L
.9078 .01476 L
.91015 .01475 L
.91269 .01473 L
.91409 .01473 L
.91538 .01472 L
.9166 .01472 L
.91791 .01472 L
.91906 .01472 L
.9201 .01472 L
.92115 .01472 L
.92215 .01472 L
.92331 .01472 L
.92438 .01472 L
.92555 .01472 L
.9268 .01472 L
.92911 .01472 L
.93127 .01473 L
.9362 .01474 L
.94602 .01478 L
.95137 .01479 L
.95399 .0148 L
.95636 .01481 L
.95841 .01481 L
.96063 .01481 L
.96185 .01482 L
.96297 .01482 L
.96405 .01482 L
.96519 .01482 L
Mistroke
.96633 .01482 L
.96757 .01482 L
.96873 .01481 L
.96979 .01481 L
.97103 .01481 L
.97239 .01481 L
.97486 .0148 L
.97619 .01479 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00@P3oool2000000@0oooo00<000000?ooo`3oool00P3oool4000002D0
oooo0P0000040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool08`3oool2000000@0
oooo00<000000?ooo`3oool00`3oool2000002H0oooo0P0000040?ooo`030000003oool0oooo00<0
oooo0P00000[0?ooo`@000001P3oool00440oooo00@000000?ooo`3oool00000203oool00`000000
oooo0?ooo`0U0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool08P3oool01000
0000oooo0?ooo`0000080?ooo`040000003oool0oooo000002@0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`00000/0?ooo`030000003oool0oooo00D0oooo00110?ooo`040000
003oool0oooo000000T0oooo00<000000?ooo`3oool0903oool010000000oooo0?ooo`0000070?oo
o`D000008`3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000002@0oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`00000/0?ooo`030000003oool0oooo00D0
oooo00110?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool08`3oool010000000
oooo0?ooo`0000070?ooo`040000003oool0oooo000002@0oooo00@000000?ooo`3oool00000203o
ool3000002D0oooo00@000000?ooo`3oool000002@3oool2000002d0oooo00<000000?ooo`3oool0
1@3oool00440oooo00@000000?ooo`3oool000002`3oool00`000000oooo0?ooo`0R0?ooo`040000
003oool0oooo000000P0oooo00<000000?ooo`000000903oool010000000oooo0?ooo`0000080?oo
o`030000003oool0oooo02D0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
000/0?ooo`030000003oool0oooo00D0oooo00110?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool00000903oool010000000oooo0?ooo`0000090?ooo`800000903oool010000000
oooo0?ooo`0000080?ooo`030000003oool0oooo02D0oooo00@000000?ooo`3oool00000203oool0
10000000oooo0?ooo`00000Z0?ooo`<000001`3oool001D0oooo00<000000?ooo`3oool0:P3oool2
000000X0oooo0P00000V0?ooo`8000002`3oool00`000000oooo0?ooo`0S0?ooo`8000002P3oool3
000002D0oooo0P00000:0?ooo`800000;@3oool00`000000oooo0?ooo`050?ooo`005@3oool00`00
0000oooo0?ooo`3o0?ooo`T0oooo000E0?ooo`030000003oool0oooo0?l0oooo2@3oool001D0oooo
00<000000?ooo`3oool0o`3oool90?ooo`003P3ooooo000001<00000000E0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`0000003`0000080?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`005@3oool00`000000oooo0?ooo`0a0?oo
o`030000003oool0oooo0340oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0^0?oo
o`D00000<P3oool00`000000oooo0?ooo`050?ooo`005@3oool00`000000oooo0?ooo`330?ooo`H0
0000?`3oool001D0oooo00<000000?ooo`3oool0_`3oool4000004D0oooo000E0?ooo`030000003o
ool0oooo0;d0oooo0P0000190?ooo`005@3oool200000;X0oooo1000001;0?ooo`005@3oool00`00
0000oooo0?ooo`2d0?ooo`D00000C`3oool001D0oooo00<000000?ooo`3oool0/P3oool2000005@0
oooo000E0?ooo`030000003oool0oooo0;00oooo0P00001F0?ooo`005@3oool00`000000oooo0?oo
o`2^0?ooo`800000F03oool001D0oooo0P00002]0?ooo`800000FP3oool001D0oooo00<000000?oo
o`3oool0ZP3oool2000005`0oooo000E0?ooo`030000003oool0oooo0:P0oooo0P00001N0?ooo`00
5@3oool00`000000oooo0?ooo`2V0?ooo`800000H03oool001D0oooo00<000000?ooo`3oool0Y03o
ool200000680oooo000E0?ooo`030000003oool0oooo0:80oooo0P00001T0?ooo`005@3oool20000
0:40oooo0P00001V0?ooo`005@3oool00`000000oooo0?ooo`2O0?ooo`030000003oool0oooo06H0
oooo000E0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0I`3oool001D0oooo00<0
00000?ooo`3oool0W03oool2000006X0oooo000E0?ooo`030000003oool0oooo09/0oooo00<00000
0?ooo`3oool0JP3oool001D0oooo00<000000?ooo`3oool0VP3oool00`000000oooo0?ooo`1[0?oo
o`005@3oool2000009X0oooo00<000000?ooo`3oool0K03oool001D0oooo0P00002H0?ooo`800000
K`3oool001D0oooo0P00002G0?ooo`030000003oool0oooo06l0oooo00020?ooo`800000103oool0
0`000000oooo0?ooo`020?ooo`@00000103oool2000009H0oooo00<000000?ooo`3oool0L03oool0
00050?ooo`000000oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`800000U@3oool0
0`000000oooo0?ooo`1a0?ooo`0000D0oooo0000003oool0oooo0000000:0?ooo`030000003oool0
oooo00<0oooo0`00002C0?ooo`030000003oool0oooo0780oooo00001@3oool000000?ooo`3oool0
000000X0oooo00<000000?ooo`3oool00`3oool2000009<0oooo00<000000?ooo`3oool0L`3oool0
00050?ooo`000000oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`800000TP3oool0
0`000000oooo0?ooo`1d0?ooo`0000D0oooo0000003oool0oooo000000080?ooo`<000001@3oool2
00000900oooo0P00001g0?ooo`000P3oool2000000/0oooo00<000000?ooo`3oool00`3oool20000
08l0oooo00<000000?ooo`3oool0M`3oool001D0oooo0P00002>0?ooo`030000003oool0oooo07P0
oooo000E0?ooo`800000S@3oool00`000000oooo0?ooo`1i0?ooo`005@3oool2000008`0oooo00<0
00000?ooo`3oool0NP3oool001D0oooo0P00002;0?ooo`030000003oool0oooo07/0oooo000E0?oo
o`800000RP3oool00`000000oooo0?ooo`1l0?ooo`005@3oool2000008T0oooo00<000000?ooo`3o
ool0O@3oool001D0oooo0P0000280?ooo`030000003oool0oooo07h0oooo000E0?ooo`800000R03o
ool00`000000oooo0?ooo`1n0?ooo`005@3oool2000008L0oooo00<000000?ooo`3oool0O`3oool0
01D0oooo0P0000260?ooo`030000003oool0oooo0800oooo000E0?ooo`800000Q@3oool00`000000
oooo0?ooo`210?ooo`005@3oool2000008@0oooo00<000000?ooo`3oool0PP3oool001D0oooo0`00
00220?ooo`030000003oool0oooo08<0oooo000E0?ooo`030000003oool000000880oooo00<00000
0?ooo`3oool0P`3oool001D0oooo00<000000?ooo`000000P@3oool00`000000oooo0?ooo`240?oo
o`005@3oool00`000000oooo000000200?ooo`030000003oool0oooo08D0oooo000E0?ooo`030000
003oool0000007l0oooo00<000000?ooo`3oool0QP3oool001D0oooo00<000000?ooo`000000OP3o
ool00`000000oooo0?ooo`270?ooo`005@3oool3000007d0oooo00<000000?ooo`3oool0R03oool0
01D0oooo00<000000?ooo`000000O03oool00`000000oooo0?ooo`290?ooo`005@3oool00`000000
oooo0000001l0?ooo`030000003oool0oooo08T0oooo00020?ooo`800000103oool00`000000oooo
0?ooo`020?ooo`@00000103oool00`000000oooo0000001k0?ooo`030000003oool0oooo08X0oooo
00001@3oool000000?ooo`3oool0000000P0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0000001j0?ooo`030000003oool0oooo08/0oooo00001@3oool000000?ooo`3oool0000000T0oooo
00<000000?ooo`3oool0103oool4000007P0oooo00<000000?ooo`3oool0S03oool000050?ooo`00
0000oooo0?ooo`0000002P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000007L0
oooo00<000000?ooo`3oool0S@3oool000050?ooo`000000oooo0?ooo`0000002`3oool00`000000
oooo0?ooo`020?ooo`040000003oool0oooo000007H0oooo00<000000?ooo`3oool0SP3oool00005
0?ooo`000000oooo0?ooo`000000203oool010000000oooo0?ooo`0000040?ooo`040000003oool0
oooo000007H0oooo00<000000?ooo`3oool0SP3oool00080oooo0P00000:0?ooo`8000001@3oool0
10000000oooo0?ooo`00001e0?ooo`030000003oool0oooo08l0oooo000E0?ooo`040000003oool0
oooo000007@0oooo00<000000?ooo`3oool0T03oool001D0oooo0P0000000`3oool000000?ooo`1b
0?ooo`030000003oool0oooo0940oooo000E0?ooo`040000003oool0oooo00000780oooo00<00000
0?ooo`3oool0TP3oool001D0oooo00D000000?ooo`3oool0oooo0000001a0?ooo`030000003oool0
oooo0980oooo000E0?ooo`050000003oool0oooo0?ooo`000000L03oool00`000000oooo0?ooo`2C
0?ooo`005@3oool01@000000oooo0?ooo`3oool0000006l0oooo00<000000?ooo`3oool0U03oool0
01D0oooo0P0000020?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool0U03oool001D0
oooo00D000000?ooo`3oool0oooo0000001^0?ooo`030000003oool0oooo09D0oooo000E0?ooo`05
0000003oool0oooo0?ooo`000000K@3oool00`000000oooo0?ooo`2F0?ooo`005@3oool01@000000
oooo0?ooo`3oool0000006`0oooo00<000000?ooo`3oool0U`3oool001D0oooo00D000000?ooo`3o
ool0oooo0000001/0?ooo`030000003oool0oooo09L0oooo000E0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`2H0?ooo`005@3oool2000000<0oooo
00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`2I0?ooo`005@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool0V@3oool001D0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo09X0oooo000E0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0I@3oool00`000000oooo0?ooo`2K0?oo
o`005@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3o
ool0V`3oool001D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1S0?ooo`030000
003oool0oooo09`0oooo000E0?ooo`800000103oool00`000000oooo0?ooo`1R0?ooo`030000003o
ool0oooo09d0oooo000E0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0HP3oool0
0`000000oooo0?ooo`2M0?ooo`005@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0640oooo00<000000?ooo`3oool0WP3oool00080oooo0P0000040?ooo`030000003oool0oooo00<0
oooo0P0000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0H03oool00`000000
oooo0?ooo`2O0?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1P0?ooo`030000003oool0oooo
09l0oooo00001@3oool000000?ooo`3oool0000000/0oooo00<000000?ooo`3oool00P3oool30000
00@0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`2P0?ooo`0000D0oooo0000003o
ool0oooo000000090?ooo`8000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
05h0oooo00<000000?ooo`3oool0X03oool000050?ooo`000000oooo0?ooo`0000002`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0G@3oool00`00
0000oooo0?ooo`2Q0?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003oool0oooo
000000@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1L0?ooo`030000003oool0
oooo0:80oooo00020?ooo`8000002P3oool2000000D0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`1L0?ooo`030000003oool0oooo0:80oooo000E0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0F`3oool00`000000oooo0?ooo`2S0?ooo`005@3oool2000000H0oooo
00<000000?ooo`3oool0F@3oool00`000000oooo0?ooo`2T0?ooo`005@3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool0Y03oool001D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo0:D0oooo000E0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`2U0?oo
o`005@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3o
ool0YP3oool001D0oooo0P0000060?ooo`030000003oool0oooo05H0oooo00<000000?ooo`3oool0
Y`3oool001D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1F0?ooo`030000003o
ool0oooo0:L0oooo000E0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0E03oool0
0`000000oooo0?ooo`2X0?ooo`005@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
05<0oooo00<000000?ooo`3oool0Z@3oool001D0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`1C0?ooo`030000003oool0oooo0:T0oooo000E0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`2Z0?ooo`005@3oool2000000L0oooo00<0
00000?ooo`3oool0D@3oool00`000000oooo0?ooo`2[0?ooo`005@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0[03oool001D0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo0:`0oooo000E0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`2]0?ooo`00
5@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool0
[P3oool001D0oooo0P0000080?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool0[P3o
ool001D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0
oooo0:l0oooo000E0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0BP3oool00`00
0000oooo0?ooo`2`0?ooo`005@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04X0
oooo00<000000?ooo`3oool0/03oool00080oooo0P0000040?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04T0oooo
00<000000?ooo`3oool0/@3oool000050?ooo`000000oooo0?ooo`0000002P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0B03oool00`000000oooo
0?ooo`2b0?ooo`0000D0oooo0000003oool0oooo000000070?ooo`D00000103oool3000000T0oooo
00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`2b0?ooo`0000D0oooo0000003oool0oooo
000000070?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`160?ooo`030000003oool0oooo0;<0oooo00001@3oool000000?ooo`3oool0000000P0
oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo04H0
oooo00<000000?ooo`3oool0/`3oool000050?ooo`000000oooo0?ooo`0000002@3oool2000000D0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo0;@0
oooo00020?ooo`8000002`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`2e0?ooo`005@3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0]@3oool001D0oooo0P00000;
0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0]P3oool001D0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo0;L0oooo000E0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0@03oool00`000000oooo0?ooo`2g0?ooo`00
5@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0
^03oool001D0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0o0?ooo`030000003o
ool0oooo0;P0oooo000E0?ooo`8000003@3oool00`000000oooo0?ooo`0m0?ooo`030000003oool0
oooo0;T0oooo000E0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0?03oool00`00
0000oooo0?ooo`2j0?ooo`005@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03`0
oooo00<000000?ooo`3oool0^P3oool001D0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`0k0?ooo`030000003oool0oooo0;/0oooo000E0?ooo`030000003oool0oooo00d0oooo00<0
00000?ooo`3oool0>P3oool00`000000oooo0?ooo`2k0?ooo`005@3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0_03oool001D0oooo0P00000>0?oo
o`030000003oool0oooo03P0oooo00<000000?ooo`3oool0_@3oool001D0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo0;h0oooo000E0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`2n0?ooo`005@3o
ool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0_`3o
ool001D0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0
oooo0<00oooo000E0?ooo`800000403oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo
0<40oooo000E0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0<@3oool00`000000
oooo0?ooo`320?ooo`005@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0300oooo
00<000000?ooo`3oool0`P3oool001D0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo0<<0oooo00020?ooo`800000103oool00`000000oooo0?ooo`02
0?ooo`<000001@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo02d0oooo00<00000
0?ooo`3oool0a03oool000050?ooo`000000oooo0?ooo`0000002`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0;03oool00`000000oooo0?ooo`35
0?ooo`0000D0oooo0000003oool0oooo0000000;0?ooo`030000003oool0oooo0080oooo0`00000B
0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0a@3oool000050?ooo`000000oooo
0?ooo`000000203oool3000000D0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0Z
0?ooo`030000003oool0oooo0<H0oooo00001@3oool000000?ooo`3oool0000000P0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo02P0oooo00<00000
0?ooo`3oool0a`3oool000050?ooo`000000oooo0?ooo`000000203oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`38
0?ooo`000P3oool2000000T0oooo100000040?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool09P3oool00`000000oooo0?ooo`390?ooo`005@3oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0bP3oool001D0oooo0P00000E0?ooo`030000
003oool0oooo02@0oooo00<000000?ooo`3oool0bP3oool001D0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0</0oooo000E0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`3<0?ooo`005@3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0c@3oool001D0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0<h0
oooo000E0?ooo`800000603oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo0<l0oooo
000E0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?oo
o`3?0?ooo`005@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01T0oooo00<00000
0?ooo`3oool0d03oool001D0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo0=40oooo000E0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3o
ool0503oool200000=@0oooo000E0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`3D0?ooo`005@3oool2000001h0oooo00<000000?ooo`3oool03`3o
ool200000=L0oooo000E0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0303oool2
00000=T0oooo000E0?ooo`030000003oool0oooo01l0oooo0P0000090?ooo`<00000f`3oool001D0
oooo00<000000?ooo`3oool08@3oool900000=h0oooo000E0?ooo`030000003oool0oooo0?l0oooo
2@3oool001D0oooo0P00003o0?ooo`X0oooo000E0?ooo`030000003oool0oooo0?l0oooo2@3oool0
01D0oooo00<000000?ooo`3oool0o`3oool90?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.0825959, -0.0450591, \
0.00385924, 0.00357407}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]]
},
FrontEndVersion->"4.2 for X",
ScreenRectangle->{{0, 1400}, {0, 1050}},
WindowSize->{520, 600},
WindowMargins->{{35, Automatic}, {174, Automatic}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 55, 1, 27, "Input"],
Cell[1834, 56, 63, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1934, 62, 48, 1, 27, "Input"],
Cell[1985, 65, 42, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2064, 71, 68, 1, 27, "Input"],
Cell[2135, 74, 21482, 547, 186, 4909, 338, "GraphicsData", "PostScript", \
"Graphics"],
Cell[23620, 623, 130, 3, 27, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

